gtkmm 3.13.8

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | List of all members
Gtk::TreeNodeChildren Class Reference
TreeView Classes

typedefed as TreeModel::Children. More...

`#include <gtkmm/treeiter.h>`

Inheritance diagram for Gtk::TreeNodeChildren:
[legend]

## Public Types
typedef Gtk::TreeRow | value_type
typedef unsigned int | size_type
typedef int | difference_type
typedef Gtk::TreeIter | iterator
typedef std::reverse_iterator < iterator > | reverse_iterator
typedef Gtk::TreeIter | const_iterator
typedef std::reverse_iterator < const_iterator > | const_reverse_iterator
typedef const void* | BoolExpr
| This typedef is just to make it more obvious that our operator const void* should be used like operator bool(). More...
Public Types inherited from Gtk::TreeIter
typedef std::bidirectional_iterator_tag | iterator_category
typedef Gtk::TreeRow | value_type
typedef int | difference_type
typedef const Gtk::TreeRow& | reference
typedef const Gtk::TreeRow* | pointer
typedef const void* | BoolExpr
| This typedef is just to make it more obvious that our operator const void* should be used like operator bool(). More...

## Public Member Functions
iterator | begin ()
const_iterator | begin () const
iterator | end ()
const_iterator | end () const
reverse_iterator | rbegin ()
reverse_iterator | rend ()
const_reverse_iterator | rbegin () const
const_reverse_iterator | rend () const
value_type | operator[] (size_type index) const
size_type | size () const
bool | empty () const
| operator BoolExpr () const
| Discover whether this is a valid TreeNodeChildren. More...
Public Member Functions inherited from Gtk::TreeIter
| TreeIter ()
TreeIter& | operator++ ()
const TreeIter | operator++ (int)
TreeIter& | operator-- ()
| Please note that this is very slow compared to operator++(). More...
const TreeIter | operator-- (int)
| Please note that this is very slow compared to operator++(). More...
reference | operator* () const
pointer | operator-> () const
bool | equal (const TreeIter& other) const
| operator BoolExpr () const
| Discover whether the iterator is valid, and not equal to end(). More...
int | get_stamp () const
| This is only useful when implementing a custom Gtk::TreeModel class. More...
void | set_stamp (int stamp)
| This is only useful when implementing a custom Gtk::TreeModel class. More...
Public Member Functions inherited from Gtk::TreeIterBase
| TreeIterBase ()
| TreeIterBase (const GtkTreeIter* gobject)
GtkTreeIter* | gobj ()
| Provides access to the underlying C instance. More...
const GtkTreeIter* | gobj () const
| Provides access to the underlying C instance. More...

## Additional Inherited Members
Static Public Member Functions inherited from Gtk::TreeIterBase
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system. More...
Protected Attributes inherited from Gtk::TreeIterBase
GtkTreeIter | gobject_
Related Functions inherited from Gtk::TreeIter
bool | operator== (const TreeIter& lhs, const TreeIter& rhs)
bool | operator!= (const TreeIter& lhs, const TreeIter& rhs)

## Detailed Description

typedefed as TreeModel::Children.

Virtual container of TreeModel::Row items.

## Member Typedef Documentation

typedef const void* Gtk::TreeNodeChildren::BoolExpr

This typedef is just to make it more obvious that our operator const void* should be used like operator bool().

typedef Gtk::TreeIter Gtk::TreeNodeChildren::const_iterator

typedef std::reverse_iterator<const_iterator> Gtk::TreeNodeChildren::const_reverse_iterator

typedef int Gtk::TreeNodeChildren::difference_type

typedef Gtk::TreeIter Gtk::TreeNodeChildren::iterator

typedef std::reverse_iterator<iterator> Gtk::TreeNodeChildren::reverse_iterator

typedef unsigned int Gtk::TreeNodeChildren::size_type

typedef Gtk::TreeRow Gtk::TreeNodeChildren::value_type

## Member Function Documentation

iterator Gtk::TreeNodeChildren::begin | ( |  | ) |

const_iterator Gtk::TreeNodeChildren::begin | ( |  | ) | const

bool Gtk::TreeNodeChildren::empty | ( |  | ) | const

iterator Gtk::TreeNodeChildren::end | ( |  | ) |

const_iterator Gtk::TreeNodeChildren::end | ( |  | ) | const

Gtk::TreeNodeChildren::operator BoolExpr | ( |  | ) | const
| inline

Discover whether this is a valid TreeNodeChildren.

For instance,

if(children)
do_something()

value_type Gtk::TreeNodeChildren::operator[] | ( | size_type | index | ) | const

reverse_iterator Gtk::TreeNodeChildren::rbegin | ( |  | ) |
| inline

const_reverse_iterator Gtk::TreeNodeChildren::rbegin | ( |  | ) | const
| inline

reverse_iterator Gtk::TreeNodeChildren::rend | ( |  | ) |
| inline

const_reverse_iterator Gtk::TreeNodeChildren::rend | ( |  | ) | const
| inline

size_type Gtk::TreeNodeChildren::size | ( |  | ) | const